Subject: Re: Problem with 'make'
From: Randall R Schulz <[email-masked]>
To: "Juan Antonio Rivera Vila" <[email-masked]>
Cc: <[email-masked]>
Date: Thu, 05 Sep 2002 19:54:36 -0700

Juan,

The first target in you "Makefile" is the default--the one that will be 
built if no target arguments are given on the command line.

In the Makefile you attached, the "all" target is indeed the default and it 
depends on the targets "genseq", "testvi", "testfor" and "esthmm".

When "make" tells you that "all" is up-to-date, it means just that: That 
all the physical targets derived from "all" are up-to-date and no compiling 
or linking is needed. By physical targets, I mean actual files, not 
intermediate / virtual targets like "all."

If you run "make clean" and then "make" (default), you'll see your source 
files compiled and linked.

This is pretty elementary "make" stuff. If you're going to be using "make," 
which is a good idea if you're doing C / C++ programming (use Ant for Java, 
of course), you should check out some tutorial materials on the Internet or 
pick up a book.

Randall Schulz
Mountain View, CA USA

At 19:09 2002-09-05, Juan Antonio Rivera Vila wrote:
>Hi,
>
>Well there is no 'all' file or directory. I have no idea about the
>dependences of the '.PHONY' target -Sorry, I'm a newbie-. But, I have
>attached the Makefile I use to compile, I hope this will clarify the
>problem.
>
>Thanks a lot in advance!
>
>Juan
>
>----- Original Message -----
>From: "Igor Pechtchanski" <[email-masked]>
>To: "Juan Antonio Rivera Vila" <[email-masked]>
>Cc: <[email-masked]>
>Sent: Friday, September 06, 2002 3:44 AM
>Subject: Re: Problem with 'make'
>
>
> > On Fri, 6 Sep 2002, Juan Antonio Rivera Vila wrote:
> >
> > > Hi to all,
> > > Everytime I try to run make utility using
> > >
> > > $ make -f Makefile
> > >
> > > I get a message like this
> > >
> > > make: 'all' is up to date.
> > >
> > > Do you what does it mean?
> > >
> > > Thanks!
> > > Juan

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/